Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport
Class EPPSrvFactory

    java.lang.Object
      com.verisign.epp.transport.EPPSrvFactory

Direct Known Subclasses:
  EPPSrvFactorySingle

    public abstract class EPPSrvFactory

extends java.lang.Object

$Id: EPPSrvFactory.java,v 1.2 2004/01/26 21:21:06 jim Exp $

Since:
  JDK1.0
Version:
  1.0, 03/10/01
Author:
  P. Amiri

Constructor Summary
`EPPSrvFactory()`

Method Summary
`EPPServerCon` | `getEPPServer()` DOCUMENT ME!
`EPPServerCon` | `getEPPServer(java.lang.String mySocket)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPSrvFactory

    public EPPSrvFactory()

Method Detail

### getEPPServer

    public EPPServerCon getEPPServer(java.lang.String mySocket)
                              throws EPPConException

  DOCUMENT ME!

  Parameters:
    `mySocket` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPConException` - DOCUMENT ME!

### getEPPServer

    public EPPServerCon getEPPServer()
                              throws EPPConException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `EPPConException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.